Skip to main content
POST
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
sentiment
Add sentiment data to project history
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/sentiment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sentimentScore": 123,
  "messageId": "<string>"
}
'
{
  "id": "<string>",
  "environments": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "publicUrl": "<string>",
      "config": {
        "deploymentSpec": {
          "replicas": 123,
          "autoscaling": {
            "maxReplicas": 123
          },
          "staticIP": true,
          "resources": {
            "limits": {
              "cpu": "<string>",
              "memory": "<string>"
            },
            "requests": {
              "cpu": "<string>",
              "memory": "<string>"
            }
          },
          "serviceAccountName": "<string>"
        }
      },
      "executionPool": "<string>",
      "files": [
        {
          "filename": "<string>",
          "content": "<string>"
        }
      ],
      "labels": {},
      "deployedVersion": {
        "id": "<string>",
        "name": "<string>",
        "state": "draft",
        "createdAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "labels": {}
      }
    }
  ],
  "name": "<string>",
  "currentFiles": {
    "files": [
      {
        "filename": "<string>",
        "content": "<string>"
      }
    ],
    "labels": {}
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "settings": {
    "acceptCodeChangesAutomatically": true,
    "testingMockWithAI": true,
    "planningChatVersion": "<string>",
    "chatStoredInDB": true
  },
  "metadata": {
    "sentimentHistory": [
      {
        "timestamp": "2023-11-07T05:31:56Z",
        "sentimentScore": 123,
        "messageId": "<string>"
      }
    ]
  },
  "dynamicVariablesSchema": {}
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Body

application/json

SentimentRequest is the request body for adding a sentiment entry to a project

sentimentScore
integer
required

The sentiment score for this entry

messageId
string
required

The message ID associated with this sentiment

Response

OK

The Project represents a deployable unit within our platform that includes both the functional components (files) and configuration. It serves as the backbone of custom or predefined functionalities, allowing organizations to create, update, and manage APIs and projects.

id
string<ulid>
required

The unique identifier for the project.

environments
object[]
required

List of environments for the project.

name
string
required
currentFiles
object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
settings
object
required

ProjectSettings hold configuration for the project

metadata
object
required

ProjectMetadata hold metadata for the project

dynamicVariablesSchema
object

DynamicVariablesSchema is the JSON schema for the project's dynamic variables.